# EV3 Line follower using ev3dev-lang-rust

This program follows a line using a PID controller.

## Setup

Install the `armv5te-musl` toolchain

```bash
rustup target add armv5te-unknown-linux-musleabi
```

The robot needs exactly two large motors and exactly one color sensor.

## Usage

Build this project:

```bash
cargo build --release
```

The resulting binary can be found at `./target/armv5te-unknown-linux-musleabi/release/<ARTIFACT>`.

Alternatively use the provided script to build and upload the binary to the robot using ssh:

```bash
./upload.sh
```
